PDA

Ver la Versión Completa : Cóm instalar los Drivers de ATI con KonvenientSUSE.



Ivan de Leon
18-may-2007, 14:42
Para quien, como yo, busque la sencillez ante todo (en éstas cuestiones), os dejo los pasos que seguí para instalar los últimos drivers propietarios de ATI en OpenSUSE 10.2, y así disponer de aceleración 3D en una tarjeta Mobility Radeon X700.

- Instala con YaST Kommander runtime. Está en el DVD (o en los CD) de instalación, o, si no los tenéis, en los repositorios de instalación de OpenSUSE 10.2.

- Descarga de aquí (http://kde-apps.org/content/show.php/konvenientSUSE?content=43378) KonvenientSUSE (es un script muy útil para hacer aún más sencillo el uso de OpenSUSE), e instálalo con YaST. Después de instalado, aparecerá en el menú K, en Sistema/Configuración.

- Ejecútalo y verás su simple ventana (ésta (http://kde-apps.org/content/preview.php?preview=2&id=43378&file1=43378-1.jpg&file2=43378-2.jpg&file3=43378-3.jpg&name=konvenientSUSE)).
En las pestañas superiores de la aplicación hay tres opciones de vías de instalación. Escoge "OpenSUSE(recomended)". La segunda línea de pestañas muestra las funciones. En "Introduction" marca la casilla de "kick ZMD" (recomendable). En las demás puedes agrgar repositorios a YaST e instalar codecs.

- En la última pestaña , "3D drivers", en la parte de ATI, aprieta "Install". El botón se mostrará "pulsado" (no resaltará del fondo).
Te mostrará la ventana de Sax2 (la configuración de X11) donde se te pedirá que aceptes y se advertirá de dónde se guarda y cómo se llama la copia de seguridad que se hará del archivo "xorg.conf" (es importante si hay problemas). Ahora ten paciencia; la descarga, ejecución e instación se harán automáticamente.

- Cuando el proceso termina, se vuelve a mostrar la ventana de Sax2. Acepta lo que te pida. Verás que la casilla "Activar aceleración 3D" está marcada.
Se te pedirá que reinicies. Cuando abras la nueva sesión de KDE (si es el caso) ya tendrás activa la aceleración 3D, y en el menú k, o en el de OpenSUSE, aparecerá ahora el Centro de Control de ATI (Catalyst).


Comentarios y advertencias:
- Antes de instalar estos drivers, desinstala los anteriores (propietarios), si los tenías.
- KonvenientSUSE tiene un fallo, y es que no muestra barras de prgreso. Sabrás que ha hecho su función cuando los botones se muestren sin apretar (de nuevo resaltan siobre el fondo). En éste caso, te muestra la ventana de Sax2.
- Éste método está pensado para hacer la instalación más sencilla, pero no es tan seguro ni tiene tanta supervisión por el usuario como los tres que en su completo manual (http://www.forosuse.org/forosuse/showthread.php?t=11066) ha explicado el gran DiabloRojo, en cuyo maual encontrarás también los comandos ("fglrxinfo", "glxinfo", "glxgears", y "fgl_glxgears") que sirven para probar el resultado de la instalación, junto con sus salidas deseables.
- Si tienes problemas al abrir el entorno gráfico, sigue este otro útil manual (http://www.forosuse.org/forosuse/showthread.php?t=12556) de Arlick para recuperarlo (aquí tiene su uso la copia de seguridad de xorg.conf, que se llama, creo recordar, "xorg.conf.konvenientsuse.backup")

Espero que os sea de alguna utilidad, y aunque quizá no sea necesario dada la sencillez de la aplicación, he querido recoger los pasos para hacer así más fácil si cabe el trago de la aceleración 3D.

Gracias a todos los que, con vuestra valentía, hacéis el mundo más libre y más habitable.

feres88
21-jun-2007, 15:46
oye...yo tengo una mobility radeon X1400 y no me funciona de la manera que has puesto ahi....sabes porq sera?¿

feres88
21-jun-2007, 19:59
Solucionado el problema..gracias

Ivan de Leon
22-jun-2007, 17:09
Solucionado el problema..graciasSi encontraste la solución a algún problema, dínosla, y así ayudarás a otros que se vean en el mismo caso...

Saludos.

iSVQ
02-jul-2007, 13:01
He seguido los pasos uno a uno, y no me activa la aceleracion 3d, mi tarjeta es una ATI RADEON 9250 256MB DVI

Al intentar instalar un juego, el Enemy Territory de Wolfenstein me da el siguiente error

Verifying archive integrity... All good.
Uncompressing Enemy Territory 2.55.............................................. .................................................. .................................................. .................................................. .................................................. .................................................. ...
./setup.sh: line 143: 4751 Aborted "$setup" "$@" 2>>$NULL
The setup program seems to have failed on x86/glibc-2.1

See http://zerowing.idsoftware.com/linux/ for troubleshooting
linux-rdyn:/home/javier/Documents #

A ver si podeis ayudarme...

Saludoooos


PD: De nuevo y para siempre en SuSE

DiabloRojo
02-jul-2007, 18:08
He seguido los pasos uno a uno, y no me activa la aceleracion 3d, mi tarjeta es una ATI RADEON 9250 256MB DVILos nuevos drivers 8.3X de ATI no soporta tu grafica, como no instales uno antiguo como 8.2X o el driver libre de Xorg llamado radeon o ati